Bug 597432 - SELinux is preventing /sbin/consoletype access to a leaked /var/log/pm-suspend.log file descriptor.
SELinux is preventing /sbin/consoletype access to a leaked /var/log/pm-suspen...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:cf9e3969a14...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 18:55 EDT by Frank Murphy
Modified: 2010-06-08 15:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-23.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 15:28:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2010-05-28 18:55:38 EDT
Summary:

SELinux is preventing /sbin/consoletype access to a leaked
/var/log/pm-suspend.log file descriptor.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by the consoletype command. It looks like this
is either a leaked descriptor or consoletype output was redirected to a file it
is not allowed to access. Leaks usually can be ignored since SELinux is just
closing the leak and reporting the error. The application does not use the
descriptor, so it will run properly. If this is a redirection, you will not get
output in the /var/log/pm-suspend.log. You should generate a bugzilla on
selinux-policy, and it will get routed to the appropriate package. You can
safely ignore this avc.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385)

Additional Information:

Source Context                system_u:system_r:consoletype_t:s0
Target Context                system_u:object_r:hald_log_t:s0
Target Objects                /var/log/pm-suspend.log [ file ]
Source                        consoletype
Source Path                   /sbin/consoletype
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           initscripts-9.12-1.fc13
Target RPM Packages           pm-utils-1.2.6.1-1.fc13
Policy RPM                    selinux-policy-3.7.19-21.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   leaks
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.4-95.fc13.i686 #1 SMP Thu May 13 05:55:24
                              UTC 2010 i686 i686
Alert Count                   1
First Seen                    Fri 28 May 2010 21:15:44 IST
Last Seen                     Fri 28 May 2010 21:15:44 IST
Local ID                      7d4acc91-0d7d-4556-bdff-6409709d25fc
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1275077744.924:158): avc:  denied  { write } for  pid=4085 comm="consoletype" path="/var/log/pm-suspend.log" dev=dm-6 ino=13116 scontext=system_u:system_r:consoletype_t:s0 tcontext=system_u:object_r:hald_log_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1275077744.924:158): arch=40000003 syscall=11 success=yes exit=0 a0=8d3c628 a1=8d46730 a2=8d3ced8 a3=8d46730 items=0 ppid=4084 pid=4085 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="consoletype" exe="/sbin/consoletype" subj=system_u:system_r:consoletype_t:s0 key=(null)



Hash String generated from  leaks,consoletype,consoletype_t,hald_log_t,file,write
audit2allow suggests:

#============= consoletype_t ==============
allow consoletype_t hald_log_t:file write;
Comment 1 Miroslav Grepl 2010-05-31 10:06:21 EDT
Dan,
I will don't audit it.

hal_dontaudit_write_log(consoletype_t)
Comment 2 Miroslav Grepl 2010-06-01 08:05:07 EDT
Fixed in selinux-policy-3.7.19-23.fc13
Comment 3 Fedora Update System 2010-06-02 05:04:30 EDT
selinux-policy-3.7.19-23.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-23.fc13
Comment 4 Fedora Update System 2010-06-02 14:12:51 EDT
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-23.fc13
Comment 5 Fedora Update System 2010-06-08 15:27:04 EDT
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.